/**
 * @(#)intLineItemComparator.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * @author  Intelligent Technology Inc.
 * @version 1.00 2001/10/01-2002/03/26
 * @see LineItem LineItemComparator
 */
package jp.co.nri.rid.table.comparator;

/* rid */
import	jp.co.nri.rid.table.*;

/**
 * LineItemオブジェクト同士を数値として比較する。おもにTableでのソートに使用。
 */
public class intLineItemComparator extends LineItemComparator{
	/**
	 * @param	name	比較する列名。
	 * @param	mode	モード。
	 * @since	1.00
	 */
	public intLineItemComparator(String name ,int mode){ super(name ,mode); }
	
	/**
	 * Comparator実装。
	 * @since	1.00
	 */
	public	int	compare(Object a ,Object b){
		int aint;
		int bint;
		try{ aint = Integer.parseInt(((LineItem)a).cellstring(myName)); }
		catch(NumberFormatException	e){	return(-myMode); }
		catch(NullPointerException	e){	return(-myMode); }
		
		try{ bint = Integer.parseInt(((LineItem)b).cellstring(myName)); }
		catch(NumberFormatException	e){	return(myMode); }
		catch(NullPointerException	e){	return(myMode); }
		
		return	(aint-bint)*myMode;
	}
}